PipeWire: log.h File Reference

PipeWire 0.2.3

Macros | Functions | Variables
log.h File Reference
Include dependency graph for log.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | PW_LOG_FUNC(name, lev)

## Functions
void | pw_log_set (struct spa_log *log)
struct spa_log * | pw_log_get (void)
void | pw_log_set_level (enum spa_log_level level)
void | pw_log_log (enum spa_log_level level, const char *file, int line, const char *func, const char *fmt,...) SPA_PRINTF_FUNC(5
void void | pw_log_logv (enum spa_log_level level, const char *file, int line, const char *func, const char *fmt, va_list args) SPA_PRINTF_FUNC(5

## Variables
enum spa_log_level | pw_log_level
| The global log level. More...

## Macro Definition Documentation

## ◆ PW_LOG_FUNC

#define PW_LOG_FUNC | ( |  | name,
|  |  | lev
| ) |  |

Value:
static inline void pw_log_##name (const char *format, ...) \
{ \
if (SPA_UNLIKELY(pw_log_level_enabled(lev))) { \
va_list varargs; \
va_start(varargs, format); \
pw_log_logv(lev,__FILE__,__LINE__,__func__,format,varargs); \
va_end(varargs); \
} \
}
pw_log::pw_log_level_enabled
#define pw_log_level_enabled(lev)
Check if a loglevel is enabled.
Definition: log.h:62

## Function Documentation

## ◆ pw_log_get()

struct spa_log* pw_log_get | ( | void |  | ) |

## ◆ pw_log_log()

void pw_log_log | ( | enum spa_log_level | level,
|  | const char * | file,
|  | int | line,
|  | const char * | func,
|  | const char * | fmt,
|  |  | ...
| ) |  |

## ◆ pw_log_logv()

void void pw_log_logv | ( | enum spa_log_level | level,
|  | const char * | file,
|  | int | line,
|  | const char * | func,
|  | const char * | fmt,
|  | va_list | args
| ) |  |

## ◆ pw_log_set()

void pw_log_set | ( | struct spa_log * | log | ) |

## ◆ pw_log_set_level()

void pw_log_set_level | ( | enum spa_log_level | level | ) |

## Variable Documentation

## ◆ pw_log_level

enum spa_log_level pw_log_level

The global log level.

Referenced by pw_log::pw_log_set_level().